List entity content
Returns news articles, blog posts, repositories, websites, and pages related to an entity.
Authentication
AuthorizationBearer
User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key
OR
X-API-Keystring
Admin API key for system-to-system write operations
OR
X-Client-Secretstring
Client secret for read-only service-to-service access (no writes)
Path parameters
entityId
Entity UUID whose content is listed.
Query parameters
topic
Topic key or source category.
contentType
Public content type filter.
relation
Owner relation filter.
Allowed values:
year
Best-effort content year filter.
page
Zero-based page index (0..N)
size
The size of the page to be returned
sort
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
existenceProbe
Set true for first-page content-existence probes that do not need exact totals or stable ordering.
Response
OK
content
empty
first
last
number
numberOfElements
pageable
size
sort
totalElements
totalPages
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error